#include <iostream>

using namespace std;

int main()
{
   int n;
   int k;
   cin>>n>>k;
   int a[n];
   long long zbir=0;
   for (int i=0;i<n;i++)
   {
       cin>>a[i];
       zbir=zbir+a[i];
   }
   if (k==0)
   {
       cout<<zbir;
       return 0;
   }
   zbir=0;
   if (k==1)
   {
       for (int i=0;i<n;i++)
       {
           zbir=zbir+a[i]*(n-i)*(i+1);
       }
       cout<<zbir;
       
       return 0;
   }
}